---
title: Cloud-native security
description: Proactively monitor security threats and protect cloud-native environments
canonical_path: "/solutions/cloud-native-security/"
suppress_header: true
extra_css:
  - bl-modal.css
  - video-carousel.css
extra_js:
  - libs/slick.min.js
  - video-carousel.js
---

%link{:rel => "stylesheet", :href => "https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick.min.css"}
%link{:rel => "stylesheet", :href => "https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.9.0/slick-theme.min.css"}

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    %h1 Cloud-native Security
    %p Proactively monitor security threats and protect cloud-native environments
    = link_to "Try GitLab Free", "/free-trial/", class: "btn cta-btn orange"
.gitlab-content-container.reverse-content


  .content.row-layout
    .full-width
      %p
        In cloud-native environments, the sheer volume of micro services that get deployed and interface with each other is high. Unlike traditional environments, the number of entry points to such environments are high as well - requiring them to be protected from malicious activities. GitLab cloud-native security proactively protects applications in cloud-native environments by providing context-aware technologies to reduce overall security risk.

  .content.row-layout
    .full-width
      = image_tag "images/security-alert-dashboard.png", class: "screenshot margin-bottom10", alt: "GitLab Geo", size: "10"
      %a{ href: "security-alert-dashboard", target: "_blank" }

  .content.row-layout
    .full-width
      %h2 Container host monitoring
      %p
        <a href="https://docs.gitlab.com/ee/user/clusters/applications.html#install-falco-using-gitlab-cicd">Monitor running containers</a> for malicious or unusual activity
      %h2 Cloud native network firewall
      %p
        <a href="https://docs.gitlab.com/ee/user/clusters/applications.html#install-cilium-using-gitlab-cicd">Isolate container network communications</a> to prevent attackers from moving through your environment when one part is compromised
      %h2 Security alert dashboard
      %p
        View and manage <a href="https://docs.gitlab.com/ee/user/application_security/threat_monitoring/">security alerts</a>


  .content
    %h2.u-margin-bottom-sm.text-center
      Featured videos
    .video-slider
      - data.video_carousel.each do |video|
        -if video.carousel_identifier.include?("Cloud-native security Carousel")
          = partial "includes/components/video-carousel/video-item", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}

%section
  .container
    .row
      .col-md-12.text-center
        = partial "includes/blog/try"

- data.video_carousel.each do |video|
  -if video.carousel_identifier.include?("VSM Carousel 1")
    = partial "includes/components/video-carousel/video-carousel-modal", locals: {videolink: video.video_link, title: video.title, photourl: video.photourl}
